<ngb-carousel #carousel [interval]="5000" [pauseOnHover]="pauseOnHover" [pauseOnFocus]="pauseOnFocus" (slide)="onSlide($event)">
  <ng-template ngbSlide *ngFor="let promotion of promotions; index as i">
<!--    git stat-->
    <a [href]="promotion.url" target="_blank" rel="nofollow noopener noreferrer" *ngIf="promotion.url">
      <div class="picsum-img-wrapper">
        <img [src]="promotion._id | image: 'promotions'" [alt]="promotion.name" class="img-fluid w-100">
      </div>
    </a>
    <a [routerLink]="['/promocion', promotion._id]" *ngIf="!promotion.url">
      <div class="picsum-img-wrapper">
        <img [src]="promotion._id | image: 'promotions'" [alt]="promotion.name" class="img-fluid w-100">
      </div>
    </a>
  </ng-template>
</ngb-carousel>

<div class="container-fluid bg-titles" *ngIf="news.length>0">
  <div class="container p-3">
    <div class="row">
      <div class="col-12">
        <h1 class="text-white">Noticias</h1>
      </div>
    </div>
  </div>
</div>
<div class="container mt-4" *ngIf="news.length>0">
  <div class="row">
    <div class="col-12 col-sm-6 col-lg-3" *ngFor="let newss of news">
      <div class="card p-3 mt-3">
        <img [src]="newss._id | image: 'news'" class="card-img-top" [alt]="newss.image" (error)="replaceImage(image)" #image>
        <div class="row px-3 py-2 card-index-title">
          <h5 class="title-card -font-size-card">{{ newss.title }}</h5>
        </div>
        <div class="row px-3 intro">
          <p class="card-text text-left card-index"  [innerHTML]="newss.intro"></p>
        </div>
        <div class="d-grid gap-2 d-md-flex justify-content-md-end">
          <a [routerLink]="['/noticia',  newss.slug]" class="btn btn-primary btn-sm" >Ver más</a>
        </div>
      </div>
    </div>
  </div>
</div>
